# class Byebug::ControlState

Controls state of Byebug's REPL when in control mode

### Public Instance Methods

confirm(*_args) click to toggle source

    # File lib/byebug/states/control_state.rb, line 14
    def confirm(*_args)
      'y'
    end

context() click to toggle source

    # File lib/byebug/states/control_state.rb, line 18
    def context
      nil
    end

file() click to toggle source

    # File lib/byebug/states/control_state.rb, line 22
    def file
      errmsg 'No filename given.'
    end

proceed() click to toggle source

    # File lib/byebug/states/control_state.rb, line 8
    def proceed
    end